Skip to content
Browse files

don't re-test Sequel and DataMapper support across Rails versions

Since these integrations have nothing to do with Rails, it's enough for
just the main Gemfile to include the libraries.
  • Loading branch information...
1 parent a777bc8 commit 5d17f2925342f9ca2e7c1009acb5d29309183485 @mislav committed
Showing with 1 addition and 57 deletions.
  1. +0 −5 Gemfile.rails-edge
  2. +1 −24 Gemfile.rails-edge.lock
  3. +0 −5 Gemfile.rails3.1
  4. +0 −23 Gemfile.rails3.1.lock
View
5 Gemfile.rails-edge
@@ -12,12 +12,7 @@ gem 'rake'
gem 'rspec', '~> 2.6.0'
gem 'mocha', '~> 0.9.8'
-gem 'sequel', '~> 3.8'
gem 'sqlite3', '~> 1.3.3'
-gem 'dm-core'
-gem 'dm-aggregates'
-gem 'dm-migrations'
-gem 'dm-sqlite-adapter'
group :mysql do
gem 'mysql', '~> 2.9'
View
25 Gemfile.rails-edge.lock
@@ -14,7 +14,7 @@ GIT
GIT
remote: git://github.com/rails/rails.git
- revision: 8d926f58d91020f9a8936ad6908939c0e298907b
+ revision: 8fff05ad3212e4302f186ca154a120f00d1b6abd
branch: master
specs:
actionpack (4.0.0.beta)
@@ -41,29 +41,12 @@ GIT
GEM
remote: http://rubygems.org/
specs:
- addressable (2.2.6)
archive-tar-minitar (0.5.2)
arel (3.0.2)
atomic (1.0.1)
builder (3.1.4)
columnize (0.3.5)
- data_objects (0.10.7)
- addressable (~> 2.1)
diff-lcs (1.1.3)
- dm-aggregates (1.2.0)
- dm-core (~> 1.2.0)
- dm-core (1.2.0)
- addressable (~> 2.2.6)
- dm-do-adapter (1.2.0)
- data_objects (~> 0.10.6)
- dm-core (~> 1.2.0)
- dm-migrations (1.2.0)
- dm-core (~> 1.2.0)
- dm-sqlite-adapter (1.2.0)
- dm-do-adapter (~> 1.2.0)
- do_sqlite3 (~> 0.10.6)
- do_sqlite3 (0.10.7)
- data_objects (= 0.10.7)
erubis (2.7.0)
i18n (0.6.1)
linecache (0.46)
@@ -107,7 +90,6 @@ GEM
ruby-debug-base19 (>= 0.11.19)
ruby_core_source (0.1.5)
archive-tar-minitar (>= 0.5.2)
- sequel (3.30.0)
sqlite3 (1.3.6)
thread_safe (0.1.0)
atomic
@@ -120,10 +102,6 @@ DEPENDENCIES
actionpack!
activerecord!
activerecord-deprecated_finders!
- dm-aggregates
- dm-core
- dm-migrations
- dm-sqlite-adapter
journey!
mocha (~> 0.9.8)
mysql (~> 2.9)
@@ -133,6 +111,5 @@ DEPENDENCIES
rspec (~> 2.6.0)
ruby-debug
ruby-debug19
- sequel (~> 3.8)
sqlite3 (~> 1.3.3)
thread_safe
View
5 Gemfile.rails3.1
@@ -9,12 +9,7 @@ gem 'rake'
gem 'rspec', '~> 2.6.0'
gem 'mocha', '~> 0.9.8'
-gem 'sequel', '~> 3.8'
gem 'sqlite3', '~> 1.3.3'
-gem 'dm-core'
-gem 'dm-aggregates'
-gem 'dm-migrations'
-gem 'dm-sqlite-adapter'
group :mysql do
gem 'mysql', '~> 2.8.1'
View
23 Gemfile.rails3.1.lock
@@ -23,28 +23,11 @@ GEM
tzinfo (~> 0.3.29)
activesupport (3.1.10)
multi_json (>= 1.0, < 1.3)
- addressable (2.2.6)
archive-tar-minitar (0.5.2)
arel (2.2.3)
builder (3.0.4)
columnize (0.3.6)
- data_objects (0.10.7)
- addressable (~> 2.1)
diff-lcs (1.1.3)
- dm-aggregates (1.2.0)
- dm-core (~> 1.2.0)
- dm-core (1.2.0)
- addressable (~> 2.2.6)
- dm-do-adapter (1.2.0)
- data_objects (~> 0.10.6)
- dm-core (~> 1.2.0)
- dm-migrations (1.2.0)
- dm-core (~> 1.2.0)
- dm-sqlite-adapter (1.2.0)
- dm-do-adapter (~> 1.2.0)
- do_sqlite3 (~> 0.10.6)
- do_sqlite3 (0.10.7)
- data_objects (= 0.10.7)
erubis (2.7.0)
hike (1.2.1)
i18n (0.6.1)
@@ -92,7 +75,6 @@ GEM
ruby-debug-base19 (>= 0.11.19)
ruby_core_source (0.1.5)
archive-tar-minitar (>= 0.5.2)
- sequel (3.30.0)
sprockets (2.0.4)
hike (~> 1.2)
rack (~> 1.0)
@@ -107,10 +89,6 @@ PLATFORMS
DEPENDENCIES
actionpack (~> 3.1.0)
activerecord (~> 3.1.0)
- dm-aggregates
- dm-core
- dm-migrations
- dm-sqlite-adapter
mocha (~> 0.9.8)
mysql (~> 2.8.1)
mysql2 (>= 0.3.6)
@@ -119,5 +97,4 @@ DEPENDENCIES
rspec (~> 2.6.0)
ruby-debug
ruby-debug19
- sequel (~> 3.8)
sqlite3 (~> 1.3.3)

0 comments on commit 5d17f29

Please sign in to comment.
Something went wrong with that request. Please try again.